Bulk Delete Downloads
POST
/utilities/downloads/bulk-delete
const url = 'https://sylve.lan:8181/api/utilities/downloads/bulk-delete';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"ids":[1]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://sylve.lan:8181/api/utilities/downloads/bulk-delete \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "ids": [ 1 ] }'Delete unique downloads after strict all-member preflight; missing, referenced, active, or unsafe members prevent all deletion, while unexpected cleanup failures return typed partial results
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Bulk Delete Download Request
Media typeapplication/json
object
ids
required
Array<integer>
Examplegenerated
{ "ids": [ 1 ]}Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
object
deleted
Array<object>
object
id
integer
name
string
type
string
uuid
string
failed
Array<object>
object
code
string
id
integer
name
string
retainedPaths
Array<string>
type
string
uuid
string
vmReferences
Array<object>
object
storageId
integer
vmId
integer
vmName
string
vmRid
integer
error
string
message
string
status
string
Example
{ "data": { "deleted": [ { "type": "http" } ], "failed": [ { "type": "http" } ] }}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Forbidden
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}One or more downloads not found; nothing deleted
Media typeapplication/json
object
data
object
deleted
Array<object>
object
id
integer
name
string
type
string
uuid
string
failed
Array<object>
object
code
string
id
integer
name
string
retainedPaths
Array<string>
type
string
uuid
string
vmReferences
Array<object>
object
storageId
integer
vmId
integer
vmName
string
vmRid
integer
error
string
message
string
status
string
Example
{ "data": { "deleted": [ { "type": "http" } ], "failed": [ { "type": "http" } ] }}One or more downloads active, referenced, or unsafe; nothing deleted
Media typeapplication/json
object
data
object
deleted
Array<object>
object
id
integer
name
string
type
string
uuid
string
failed
Array<object>
object
code
string
id
integer
name
string
retainedPaths
Array<string>
type
string
uuid
string
vmReferences
Array<object>
object
storageId
integer
vmId
integer
vmName
string
vmRid
integer
error
string
message
string
status
string
Example
{ "data": { "deleted": [ { "type": "http" } ], "failed": [ { "type": "http" } ] }}Request body too large
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Cleanup or persistence failure, possibly partial
Media typeapplication/json
object
data
object
deleted
Array<object>
object
id
integer
name
string
type
string
uuid
string
failed
Array<object>
object
code
string
id
integer
name
string
retainedPaths
Array<string>
type
string
uuid
string
vmReferences
Array<object>
object
storageId
integer
vmId
integer
vmName
string
vmRid
integer
error
string
message
string
status
string
Example
{ "data": { "deleted": [ { "type": "http" } ], "failed": [ { "type": "http" } ] }}